/* _content/Itf.Public.Person.Portal.Web/Pages/CommunicationPreferences.razor.rz.scp.css */

[b-6e2i7zsk7u] .button:hover {
    color: white !important;
    background: var(--mud-palette-text-primary) !important;
}

[b-6e2i7zsk7u] .button {
    width: 100%;
    border-radius: 5px;
}

@media screen and (min-width: 768px) {
    [b-6e2i7zsk7u] .button {
        width: unset;
    }
}
/* _content/Itf.Public.Person.Portal.Web/Pages/CurrentServices.razor.rz.scp.css */
[b-c3v5h0yqoa] p ul, [b-c3v5h0yqoa] .actions {
    padding-top: 16px;
}

[b-c3v5h0yqoa] .mud-grid-item, [b-c3v5h0yqoa] .mud-button {
    width: 100%;
}

[b-c3v5h0yqoa] .mud-button {
    margin: 0;
}

[b-c3v5h0yqoa] main.outer {
    padding: 0;
}

[b-c3v5h0yqoa] .header {
    margin: -16px -16px 1px;
}

[b-c3v5h0yqoa] .button span {
    margin: 0;
}

[b-c3v5h0yqoa] .button:hover {
    color: white !important;
    background: var(--mud-palette-text-primary) !important;
}

@media screen and (min-width: 768px) {
    [b-c3v5h0yqoa] p ul {
        padding-top: 16px;
    }

    [b-c3v5h0yqoa] .mud-grid-item, [b-c3v5h0yqoa] .mud-button {
        width: unset;
    }

    [b-c3v5h0yqoa] .mud-button {
        margin: 0 16px;
    }

    [b-c3v5h0yqoa] p, [b-c3v5h0yqoa] .actions {
        padding-top: 32px;
    }

    [b-c3v5h0yqoa] .header {
        margin: 0;
    }
}
/* _content/Itf.Public.Person.Portal.Web/Pages/Index.razor.rz.scp.css */
[b-17h1zrqyjh] p, [b-17h1zrqyjh] .actions {
    padding-top: 16px;
}

[b-17h1zrqyjh] .mud-grid-item, [b-17h1zrqyjh] .mud-button {
    width: 100%;
}

[b-17h1zrqyjh] .mud-button {
    margin: 0;
    border-radius: 5px;
}

[b-17h1zrqyjh] main.outer {
    padding: 0;
}

[b-17h1zrqyjh] .header {
    margin: -16px -16px 0;
}

[b-17h1zrqyjh] .button span {
    margin: 0;
}

[b-17h1zrqyjh] .button:hover {
    color: white !important;
    background: var(--mud-palette-text-primary) !important;
}

[b-17h1zrqyjh] ul {
    padding-left: 16px;
    padding-top: 16px;
}

[b-17h1zrqyjh] .actions {
    padding-top: 16px;
}

@media screen and (min-width: 768px) {
    [b-17h1zrqyjh] p {
        padding-top: 16px;
    }

    [b-17h1zrqyjh] .mud-grid-item, [b-17h1zrqyjh] .mud-button {
        width: unset;
    }

    [b-17h1zrqyjh] .mud-button {
        margin: 0 16px;
    }

    [b-17h1zrqyjh] p, [b-17h1zrqyjh] .actions {
        padding-top: 20px;
    }

    [b-17h1zrqyjh] .header {
        margin: 0;
    }
}
/* _content/Itf.Public.Person.Portal.Web/Shared/GreetingMessage.razor.rz.scp.css */
.greeting__wrapper[b-hlknjd9aoq] {
    background-color: #54565a;
    padding: 8px 16px 8px 16px;
    margin: -1px -16px 16px;
}

@media screen and (min-width: 768px) {
    .greeting__wrapper[b-hlknjd9aoq] {
        margin: 0;
    }
}

.message__wrapper[b-hlknjd9aoq] {
    position: relative;
    display: flex;
    justify-content: space-between;
}

[b-hlknjd9aoq] .greeting__wrapper span {
    color: white;
}
/* _content/Itf.Public.Person.Portal.Web/Shared/LoginDisplay.razor.rz.scp.css */
[b-3h3y3kbywi] .top-menu__icon {
    width: 50px;
    height: auto;
}

.top-menu[b-3h3y3kbywi] {
    display: flex;
    align-items: center;
    font-size: 0;
}

.top-menu__burger[b-3h3y3kbywi]{
    visibility: hidden;
    opacity: 0;
    position: absolute;
}

@media screen and (max-width: 768px) {
    .top-menu__burger[b-3h3y3kbywi] {
        display: inline-flex;
        opacity: 1;
        visibility: visible;
        position: static;
        margin: 0;
    }
}

@media screen and (max-width: 768px) {
    .top-menu__list[b-3h3y3kbywi] {
        position: fixed;
        background-color: white;
        top: 105px;
        bottom: 0;
        left: 0;
        display: none;
        right: 0;
        z-index: 999;
        color: #000;
        font-size: 16px;
    }
    [b-3h3y3kbywi] .top-menu__list .mud-toolbar{
        flex-direction: column;
        align-items: flex-start;
        padding: 10px 0;
    }
    [b-3h3y3kbywi] .top-menu__list .mud-tooltip-root.mud-tooltip-inline {
        width: 100%;
        height: 48px;
        line-height: 48px;
        position: relative;
        text-align: left;
        padding-left: 50px;
        padding-right: 20px;
    }
    [b-3h3y3kbywi] .top-menu__list .mud-tooltip-root.mud-tooltip-inline .mud-icon-button {
        width: 100%;
        background-color: transparent !important;
        border-radius: 5px !important;
        position: absolute;
        top: 0;
        left: 0;
        text-align: left !important;
    }
    [b-3h3y3kbywi] .top-menu__list .mud-tooltip-root.mud-tooltip-inline .mud-icon-button-label {
        justify-content: flex-start !important;
    }
    .top-menu__list.visible[b-3h3y3kbywi] {
        display: block;
    }
}

[b-3h3y3kbywi] .mud-navmenu > a {
    display: flex;
    align-items: center;
    color: #54565a;
    cursor: pointer;
}

[b-3h3y3kbywi] .top-menu__login.mud-navmenu > a {
    flex-direction: row-reverse;
}

[b-3h3y3kbywi] .top-menu__user.mud-navmenu > a {
    font-size: 12px;
    padding-right: 12px;
    flex-direction: column;
    line-height: 100%;
    justify-content: center;
}

@media screen and (min-width: 768px) {
    [b-3h3y3kbywi] .top-menu__user.mud-navmenu > a {
        padding-right: 32px;
    }
}

[b-3h3y3kbywi] .top-menu__user.mud-navmenu > a:last-of-type {
    padding-right: 0;
}

[b-3h3y3kbywi] .top-menu__user.mud-navmenu > a > .mud-icon-root {
    margin-bottom: 6px;
}

[b-3h3y3kbywi] .top-menu__user {
    display: flex;
}
/* _content/Itf.Public.Person.Portal.Web/Shared/ProfileForm.razor.rz.scp.css */
[b-7m9ir5mnk6] .mud-input.mud-input-outlined:focus-within .mud-input-outlined-border,
[b-7m9ir5mnk6] .mud-input.mud-input-outlined:not(.mud-disabled):not(:focus-within):hover .mud-input-outlined-border {
    border-color: var(--mud-palette-text-primary) !important;
    border-width: 1px !important;
}

[b-7m9ir5mnk6] .mudInput {
    margin-top: 4px;
}

[b-7m9ir5mnk6] .mud-input.mud-input-outlined .mud-input-outlined-border {
    border-radius: 0 !important;
}

[b-7m9ir5mnk6] .mud-input > input.mud-input-root, div.mud-input-slot.mud-input-root[b-7m9ir5mnk6] {
    height: 16px;
}

[b-7m9ir5mnk6] .mud-input {
    background: white;
    font-size: 14px;
    line-height: 1;
}

[b-7m9ir5mnk6] .fieldLabel {
    font-size: 12px !important;
    font-weight: normal !important;
    color: #9B9B9B !important;
    /*margin-top: 16px;*/
}

[b-7m9ir5mnk6] .required::after {
    content: " *";
    color: red;
}

[b-7m9ir5mnk6] .mandatory {
    padding-top: 14px;
    padding-bottom: 14px;
}

[b-7m9ir5mnk6] .mandatory::before {
    content: "* ";
    color: red;
}

[b-7m9ir5mnk6] .mud-tooltip-inline {
    display: flex;
}

[b-7m9ir5mnk6] .mud-input-control > .mud-input-control-input-container > .mud-input-label-inputcontrol {
    font-size: 14px;
}

[b-7m9ir5mnk6] .mud-input-control > .mud-input-control-input-container > .mud-input-label-outlined.mud-input-label-inputcontrol {
    line-height: 16px;
}

[b-7m9ir5mnk6] .field {
    /*margin-bottom: 12px;*/
}

[b-7m9ir5mnk6] .mud-input > input.mud-input-root-outlined,
[b-7m9ir5mnk6] div.mud-input-slot.mud-input-root-outlined {
    padding: 12px;
}

[b-7m9ir5mnk6] .mud-input-label-outlined {
    transform: translate(8px,12px) scale(1);
}

[b-7m9ir5mnk6] .mud-shrink ~ label.mud-input-label.mud-input-label-inputcontrol.mud-input-label-outlined,
[b-7m9ir5mnk6] .mud-input:focus-within ~ label.mud-input-label.mud-input-label-inputcontrol.mud-input-label-outlined {
    transform: scale(0);
}

[b-7m9ir5mnk6] .mud-list-item-text {
    margin: 0;
}

[b-7m9ir5mnk6] .mud-checkbox .mud-icon-button {
    padding: 8px 8px 8px 8px;
}

[b-7m9ir5mnk6] .field .mud-checkbox {
    margin-bottom: -12px;
}

[b-7m9ir5mnk6] .button:hover {
    color: white !important;
    background: var(--mud-palette-text-primary) !important;
}

[b-7m9ir5mnk6] .button {
    width: 100%;
    border-radius: 5px !important;
}

@media screen and (min-width: 768px) {
    [b-7m9ir5mnk6] .button {
        width: unset;
    }
}
